#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define soname 0
%define libsuffix %(echo %{_lib}|%__sed 's/^lib//')
Name:           GLStats
Version:        0.1.0
Release:        1.1
Summary:        Generic OpenGL overlay statistics renderer
Group:          Development/Libraries/C and C++
License:        LGPL-2.1
URL:            https://github.com/Eyescale/GLStats
Source0:        %{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE fix-64bit.diff avvissu@yandex.ru -- Patch to fix the libdir on 64-bit architecture
Patch0:         fix-64bit.diff
BuildRequires:  gcc-c++ cmake pkgconfig 
BuildRequires:  libX11-devel Mesa-libGL-devel
BuildRequires:  Lunchbox-devel

%description
No additional information:
...
GLStats Runtime Libraries

%package devel
Summary:        Development files for OpenGL overlay statistics renderer
Group:          Development/Libraries/C and C++
License:        LGPL-2.1

%description devel
This package contains, header files, and libraries needed to
develop application that use %{name}

%prep
%setup 
%patch0

%build
mkdir build
pushd build
cmake -DLIB_SUFFIX="%{libsuffix}" ..
make 
popd

%install
pushd build
%makeinstall
popd
install -m 755 -d %{buildroot}%{_docdir}/%{name}
install -p -m 644 -t %{buildroot}%{_docdir}/%{name} doc/LGPL.txt

%files devel
%defattr(-, root, root)
%{_docdir}/%{name}
%{_includedir}/%{name}
%{_libdir}/lib%{name}.a
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/CMake
%{_datadir}/%{name}/CMake/*.cmake

%changelog
* Mon Dec 23 2013 avvissu@yandex.ru
- Initial release 0.1.0
